<?php
require'f_meditatii.php';
require'f_conectare.php';
conectare('meditatii'.$x1,'meditatii'.$x2);
$titlu='Meditații'.$x1;
require'f_tabelare.php';
if($de==0)
{
$head[3]='<link rel="alternate" title="Sitemap meditații XML'.$titlul.'" type="application/xml" href="/sitemap-meditatii.xml" />';
if($go==''&&$la=='')
$head[3].='<link rel="canonical" href="'.$adresasite[0].'/meditatii'.$x2.($page>1?'/pagina/'.$page:'').'" />';
}
if($_SERVER['REQUEST_URI']=='/meditatii')
$back[1]='<a href="/extra-meniu">'.img('extra.png',1).'Extra meniu</a>';
if($la!='')
{
require'f_profil.php';
$back[3]=profil($la,'Profil membru '.nume($la));
}
require'f_sus.php';
if($de>0)
require'f_nou.php';
echo$div[4].img('meditatii.gif',2).'Sorteaza meditatii'.$x5.$div[5];
$form[0]='/meditatii" method="get';
$form[1]=1;
require'f_scris3.php';
$form[2]=$div[1];
$form[3]='';
if($la!='')
{
$form[2].='<input type="hidden" name="la" value="'.$la.'" />';
$form[3]='la::';
}
$categoriile=',,Toate categoriile ('.$conn->query('SELECT COUNT(*)FROM`meditatii`'.$x6)->fetch_row()[0].')';
$categorii=$conn->query('SELECT`id`,`nume`FROM`meditatii_categorii`ORDER BY`nume`');
while($categorie=$categorii->fetch_row())
{
$categoriile.='::'.$categorie[0].',,'.$categorie[1].' ('.$conn->query('SELECT COUNT(*)FROM`meditatii`WHERE`cid`="'.$categorie[0].'"'.$x7)->fetch_row()[0].')';
}
$form[2].='Sorteaza:<br />'.scris3('go',',,Dupa data::1,,Dupa numărul de vizualizări::2,,Dupa numărul de puncte::3,,Dupa note::4,,Dupa numărul de voturi::5,,Dupa numărul de comentarii::6,,După numărul de aprecieri::7,,După numărul de dezaprecieri::8,,După prețul oferit pentru comentarii::9,,După prețul oferit pentru note').$div[0].$div[1].'Categorie:<br />'.scris3('cid',$categoriile).$div[0];
$form[3].='go::cid';
$form[4]='Alege';
require'f_form.php';
$abonati=$conn->query('SELECT COUNT(*)FROM`meditatii_abonati`')->fetch_row();
if($abonati[0]>0)
echo$div[1].'<a href="/abonati-meditatii">'.img('meditatii.gif',2).'Membrii abonați</a> <strong>'.number_format($abonati[0]).'</strong>'.$div[0];
$abonat=$conn->query('SELECT COUNT(*)FROM`meditatii_abonati`WHERE`de`="'.$de.'"')->fetch_row();
echo$div[1].'<a href="/abonare-meditatii/tip/'.($abonat[0]==0?'abonare':'dezabonare').'">'.img('meditatii.gif',2).($abonat[0]==0?'Abonare':'Dezabonare de').' la adaugarea de meditatii</a>'.$div[0].$div[4].img('meditatii.gif',2).'Meditații'.$x1.$div[5];
$elemente=$conn->query('SELECT COUNT(*)FROM`meditatii`'.$x3)->fetch_row()[0];
if($elemente>0)
{
if($la=='')
require'f_profil.php';
require'f_paginare1.php';
echo'<table'.$clasa_tabel.'>';
if($go==1)
$sql='`id`,`nume`,`de`,`cid`,`vizualizari`FROM`meditatii`'.$x3.'ORDER BY`vizualizari`DESC';
elseif($go==2)
$sql='`meditatii`.`id`,`meditatii`.`nume`,`meditatii`.`de`,`meditatii`.`cid`,SUM(`meditatii_note`.`valoare`)AS`as1`FROM`meditatii`,`meditatii_note`WHERE`meditatii`.`id`=`meditatii_note`.`pid`'.$x4.'GROUP BY`meditatii`.`id`ORDER BY`as1`DESC';
elseif($go==3)
$sql='`meditatii`.`id`,`meditatii`.`nume`,`meditatii`.`de`,`meditatii`.`cid`,SUM(`meditatii_note`.`valoare`),AVG(`meditatii_note`.`valoare`)AS`as1`,COUNT(`meditatii_note`.`id`)FROM`meditatii`,`meditatii_note`WHERE`meditatii`.`id`=`meditatii_note`.`pid`'.$x4.'GROUP BY`meditatii`.`id`ORDER BY`as1`DESC';
elseif($go==4)
$sql='`meditatii`.`id`,`meditatii`.`nume`,`meditatii`.`de`,`meditatii`.`cid`,COUNT(`meditatii_note`.`id`)AS`as1`FROM`meditatii`,`meditatii_note`WHERE`meditatii`.`id`=`meditatii_note`.`pid`'.$x4.'GROUP BY`meditatii`.`id`ORDER BY`as1`DESC';
elseif($go==5)
$sql='`meditatii`.`id`,`meditatii`.`nume`,`meditatii`.`de`,`meditatii`.`cid`,COUNT(`meditatii_comentarii`.`id`)AS`as1`FROM`meditatii`,`meditatii_comentarii`WHERE`meditatii`.`id`=`meditatii_comentarii`.`pid`'.$x4.'GROUP BY`meditatii`.`id`ORDER BY`as1`DESC';
elseif($go==6||$go==7)
$sql='`meditatii`.`id`,`meditatii`.`nume`,`meditatii`.`de`,`meditatii`.`cid`,COUNT(`meditatii_aprecieri`.`id`)AS`as1`FROM`meditatii`,`meditatii_aprecieri`WHERE`meditatii`.`id`=`meditatii_aprecieri`.`pid`&&`meditatii_aprecieri`.`valoare`="'.($go==6?1:2).'"'.$x4.'GROUP BY`meditatii`.`id`ORDER BY`as1`DESC';
elseif($go==8)
$sql='`id`,`nume`,`de`,`cid`,`pret_com`FROM`meditatii`'.$x3.'ORDER BY`pret_com`DESC';
elseif($go==9)
$sql='`id`,`nume`,`de`,`cid`,`pret_rate`FROM`meditatii`'.$x3.'ORDER BY`pret_rate`DESC';
else
$sql='`id`,`nume`,`de`,`cid`,`data`FROM`meditatii`'.$x3.'ORDER BY`data`DESC';
$items=$conn->query('SELECT'.$sql.' LIMIT '.$limit_start.','.$pe_pagina);
while($item=$items->fetch_row())
{
echo'<tr><td'.$clasa_kk.'><a href="/meditatie/id/'.$item[0].'-'.seo($item[1]).'">'.avatar($item[2]).'</a></td><td'.$clasa_k.'>'.$clasa_n.profil($item[2]).($perm>0?' <sterge><a href="/admin-sterge-meditatie/id/'.$item[0].'-'.seo($item[1]).'"><img src="'.$domenii_statice[2].'sterge.png" alt="" width="16" height="16" /></a>':'').$div[0].$clasa_normal.'<a href="/meditatie/id/'.$item[0].'-'.seo($item[1]).'">'.htmlspecialchars($item[1]).'</a><br />';
if($cid=='')
{
$cinfo=$conn->query('SELECT`nume`FROM`meditatii_categorii`WHERE`id`="'.$item[3].'"')->fetch_row();
echo'Din categoria: <a href="/meditatii/categorie/'.$item[3].'-'.seo($cinfo[0]).'"><strong>'.$cinfo[0].'</strong></a><br />';
}
if($go=='')
{
require_once'f_data.php';
echo'<small>Adaugata: '.data($item[4]).'</small>';
}
if($go==1)
echo'Vizualizări: <strong>'.number_format($item[4]).'</strong>';
if($go==2)
echo'Puncte: <strong>'.number_format($item[4]).'</strong>';
if($go==3)
{
require_once'f_nota.php';
echo'Nota: <strong>'.nota(mb_substr(($item[4]/$item[6]),0,4)).'</strong>';
}
if($go==4)
echo'<a href="/note-meditatie/id/'.$item[0].'-'.seo($item[1]).'">Voturi</a> <strong>'.number_format($item[4]).'</strong>';
if($go==5)
echo'<a href="/comentarii-meditatie/id/'.$item[0].'-'.seo($item[1]).'">Comentarii</a> <strong>'.number_format($item[4]).'</strong>';
if($go==6)
echo'<img src="'.$domenii_statice[1].'apreciaza.png" alt="" width="16" height="16" /><a href="/aprecieri-meditatie/id/'.$item[0].'-'.seo($item[1]).'/tip/aprecieri">Aprecieri</a> <strong>'.number_format($item[4]).'</strong>';
if($go==7)
echo'<img src="'.$domenii_statice[2].'dezapreciaza.png" alt="" width="16" height="16" /><a href="/aprecieri-meditatie/id/'.$item[0].'-'.seo($item[1]).'/tip/dezaprecieri">Dezaprecieri</a> <strong>'.number_format($item[4]).'</strong>';
if($go==8)
echo'Oferă la comentare <strong>'.number_format($item[4]).'</strong> lei';
if($go==9)
echo'Oferă la notare <strong>'.number_format($item[4]).'</strong> lei';
echo$div[0].'</td></tr>';
}
echo'</table>';
require'f_paginare2.php';
}
else
echo$div[7].'Nu sunt meditații adaugate'.($la!=''?' de către '.nume($la).',':'').($cid!=''?' în această categorie':'').($go!=''?' după acest criteriu de selecție':'').'!'.$div[0];
echo$div[1].'<a href="/cauta-in-meditatii">'.img('search.png',2).'Caută în meditatii</a>'.$div[0].$div[1].'<a href="/adauga-meditatii"><img src="'.$domenii_statice[1].'adauga.gif" alt="" />Adaugă meditatii</a>'.$div[0];
if($perm>0)
echo$div[1].'<a href="/admin-categorii-meditatii">'.img('administrare.png',1).'Administreaza categorii meditatii</a>'.$div[0];
require'f_jos.php';